> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutação: Exportar Mapa de Zonas como Shapefile compactado

Gere um arquivo ZIP com o "ZonesMap" selecionado como shapefile.

{% hint style="info" %}
O arquivo contém arquivos \*.shp, \*.shx, \*.prj e \*.dbf em EPSG:4326.
{% endhint %}

### 1. Preparação

* O atributo `vectorAnalysisMaps` contém uma matriz de objetos ZonesMaps (VectorAnalysisMaps) a serem exportados. Cada objeto desse tipo inclui um par de `fieldUuid` (vínculo com o Field selecionado) e `uuid` (vínculo com o ZonesMap selecionado).
* O atributo booleano `asMultiGeometry` determina se as zonas serão exportadas como `Polygons` ou `MultiPolygons` (quando definido como `true` ).
* O atributo booleano `onlyProductColumns` especifica se somente as colunas com produtos (RX) devem ser incluídas no shapefile (quando `true`). Caso contrário, todos os atributos estatísticos e IDs das zonas serão incluídos como colunas.
* O atributo `archiveName` contém o nome do arquivo ZIP gerado.
* O atributo `filePostfix` permite adicionar sufixos personalizados aos arquivos exportados e ao arquivo ZIP.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Baixar o arquivo gerado

Após executar a consulta GraphQL, é possível baixar o arquivo usando `curl` ou uma abordagem semelhante.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
